com.airbnb.android.react.maps

## Class AirMapCircleManager

- java.lang.Object
- - <any>
  - - com.airbnb.android.react.maps.AirMapCircleManager

    public class AirMapCircleManager
    extends <any>

### Constructor Summary

Constructors
Constructor and Description
`AirMapCircleManager(ReactApplicationContext reactContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AirMapCircle` `createViewInstance(ThemedReactContext context)`
`java.lang.String` `getName()`
`void` `setCenter(AirMapCircle view, ReadableMap center)`
`void` `setFillColor(AirMapCircle view, int color)`
`void` `setRadius(AirMapCircle view, double radius)`
`void` `setStrokeColor(AirMapCircle view, int color)`
`void` `setStrokeWidth(AirMapCircle view, float widthInPoints)`
`void` `setZIndex(AirMapCircle view, float zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapCircleManager

    public AirMapCircleManager(ReactApplicationContext reactContext)

### Method Detail

#### getName

    public java.lang.String getName()

#### createViewInstance

    public AirMapCircle createViewInstance(ThemedReactContext context)

#### setCenter

    public void setCenter(AirMapCircle view,
                          ReadableMap center)

#### setRadius

    public void setRadius(AirMapCircle view,
                          double radius)

#### setStrokeWidth

    public void setStrokeWidth(AirMapCircle view,
                               float widthInPoints)

#### setFillColor

    public void setFillColor(AirMapCircle view,
                             int color)

#### setStrokeColor

    public void setStrokeColor(AirMapCircle view,
                               int color)

#### setZIndex

    public void setZIndex(AirMapCircle view,
                          float zIndex)